Internal hard disk partition cannot be mounted manually

Bug #1416925 reported by Kevin on 2015-02-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ntfs-3g (Ubuntu)
Undecided
Unassigned

Bug Description

Error mounting system-managed device /dev/sdb2: Command-line `mount "/mnt/usb-Hitachi_HDT725032VLA380_0000000FA200-0:0-part2"' exited with non-zero exit status 14: The disk contains an unclean file system (0, 0).
Metadata kept in Windows cache, refused to mount.
Failed to mount '/dev/sdb2': Operation not permitted
The NTFS partition is in an unsafe state. Please resume and shutdown
Windows fully (no hibernation or fast restarting), or mount the volume
read-only with the 'ro' mount option.
 (udisks-error-quark, 0)

I am running this drive out of a hard drive enclosure. I have reinstalled the drive, booted it up and allowed it to load fully. Once prompted for password, I shut it down normally. The drive was working before i installed Ubuntu on a seperate hard drive.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: udisks2 2.1.3-1
ProcVersionSignature: Ubuntu 3.13.0-45.74-generic 3.13.11-ckt13
Uname: Linux 3.13.0-45-generic i686
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: i386
CurrentDesktop: Unity
Date: Sun Feb 1 20:06:00 2015
EcryptfsInUse: Yes
InstallationDate: Installed on 2015-02-01 (0 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release i386 (20140722.2)
Lsusb:
 Bus 001 Device 005: ID 152d:2338 JMicron Technology Corp. / JMicron USA Technology Corp. JM20337 Hi-Speed USB to SATA & PATA Combo Bridge
 Bus 001 Device 002: ID 03f0:8711 Hewlett-Packard Deskjet 2050 J510
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 002: ID 0458:0007 KYE Systems Corp. (Mouse Systems)
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: HP Pavilion 06 D5468AT-ABA ALONPAV
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-45-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
SourcePackage: udisks2
Symptom: storage
Title: Internal hard disk partition cannot be mounted manually
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/11/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 5.12
dmi.board.name: Nettle2
dmi.board.vendor: ECS
dmi.board.version: 1.0
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr5.12:bd06/11/2007:svnHPPavilion06:pnD5468AT-ABAALONPAV:pvr1331211RE101EXPLO0:rvnECS:rnNettle2:rvr1.0:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: D5468AT-ABA ALONPAV
dmi.product.version: 1331211RE101EXPLO0
dmi.sys.vendor: HP Pavilion 06

Kevin (k-steptoe1) wrote :
Martin Pitt (pitti) wrote :

Looks like you need to check/fix the file system first? You can do that with the "Disks" tool or under Windows (presumably you have that, as it's a windows partition?). This sounds like a wontfix, as we really don't want to try and mount a broken file system; this would only make things worse and potentially lose data.

affects: udisks2 (Ubuntu) → ntfs-3g (Ubuntu)
Changed in ntfs-3g (Ubuntu):
status: New → Won't Fix
Download full text (4.1 KiB)

I guess that i should have included the fact that I checked the disk through the windows os, in my prior email. Windows stated that the whole disk contained no errors. It runs fine while I have it installed. I put it in the hard drive enclosure, boot the Ubuntu drive, and I continue to get the same error message that I set in the prior message. I guess that I will have to copy every thing that I want off of that drive onto a usb flash drive and then install to the new Ubuntu drive.

----- Original Message -----

From: "Martin Pitt" <email address hidden>
To: "k steptoe1" <email address hidden>
Sent: Monday, February 2, 2015 3:19:04 AM
Subject: [Bug 1416925] Re: Internal hard disk partition cannot be mounted manually

Looks like you need to check/fix the file system first? You can do that
with the "Disks" tool or under Windows (presumably you have that, as
it's a windows partition?). This sounds like a wontfix, as we really
don't want to try and mount a broken file system; this would only make
things worse and potentially lose data.

** Package changed: udisks2 (Ubuntu) => ntfs-3g (Ubuntu)

** Changed in: ntfs-3g (Ubuntu)
Status: New => Won't Fix

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1416925

Title:
Internal hard disk partition cannot be mounted manually

Status in ntfs-3g package in Ubuntu:
Won't Fix

Bug description:
Error mounting system-managed device /dev/sdb2: Command-line `mount "/mnt/usb-Hitachi_HDT725032VLA380_0000000FA200-0:0-part2"' exited with non-zero exit status 14: The disk contains an unclean file system (0, 0).
Metadata kept in Windows cache, refused to mount.
Failed to mount '/dev/sdb2': Operation not permitted
The NTFS partition is in an unsafe state. Please resume and shutdown
Windows fully (no hibernation or fast restarting), or mount the volume
read-only with the 'ro' mount option.
(udisks-error-quark, 0)

I am running this drive out of a hard drive enclosure. I have
reinstalled the drive, booted it up and allowed it to load fully. Once
prompted for password, I shut it down normally. The drive was working
before i installed Ubuntu on a seperate hard drive.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: udisks2 2.1.3-1
ProcVersionSignature: Ubuntu 3.13.0-45.74-generic 3.13.11-ckt13
Uname: Linux 3.13.0-45-generic i686
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: i386
CurrentDesktop: Unity
Date: Sun Feb 1 20:06:00 2015
EcryptfsInUse: Yes
InstallationDate: Installed on 2015-02-01 (0 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release i386 (20140722.2)
Lsusb:
Bus 001 Device 005: ID 152d:2338 JMicron Technology Corp. / JMicron USA Technology Corp. JM20337 Hi-Speed USB to SATA & PATA Combo Bridge
Bus 001 Device 002: ID 03f0:8711 Hewlett-Packard Deskjet 2050 J510
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 0458:0007 KYE Systems Corp. (Mouse Systems)
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: HP Pavilion 06 D5468AT-ABA ALONPAV
ProcEnviron:
LANGUAGE=en_US
PATH=(custom, no user)
XDG_RUNTIME_DIR...

Read more...

Martin Pitt (pitti) wrote :

OK, reopening the bug then.

Changed in ntfs-3g (Ubuntu):
status: Won't Fix → New
Jean-Pierre (jean-pierre-andre) wrote :

> Metadata kept in Windows cache, refused to mount.
This means you have shut down Windows 8 (or 8.1 or 10) in such a mode that it keeps metadata in its cache for faster restarting.
> The NTFS partition is in an unsafe state. Please resume and shutdown
> Windows fully (no hibernation or fast restarting),
Please do so. This is explained in the ntfs-3g manual or http://www.tuxera.com/community/ntfs-3g-advanced/#download
If you think you have already done that, please post the output of :
mkdir temp-sdb2
sudo ntfs-3g -o ro /dev/sdb2 temp-sdb2
sudo head -c 30 '/vista/$LogFile' | tail -c 4 | od -t x1
sudo umount temp-sdb2
rmdir temp-sdb2
(copy-paste these commands)

Jean-Pierre (jean-pierre-andre) wrote :

Sorry, the commands in my previous post should read :

mkdir temp-sdb2
sudo ntfs-3g -o ro /dev/sdb2 temp-sdb2
sudo head -c 30 'temp-sdb2/$LogFile' | tail -c 4 | od -t x1
sudo umount temp-sdb2
rmdir temp-sdb2

Kevin (k-steptoe1) wrote :
Download full text (3.3 KiB)

This resolved the issue, thanks

Jean-Pierre <email address hidden> wrote:

>Sorry, the commands in my previous post should read :
>
>mkdir temp-sdb2
>sudo ntfs-3g -o ro /dev/sdb2 temp-sdb2
>sudo head -c 30 'temp-sdb2/$LogFile' | tail -c 4 | od -t x1
>sudo umount temp-sdb2
>rmdir temp-sdb2
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/1416925
>
>Title:
> Internal hard disk partition cannot be mounted manually
>
>Status in ntfs-3g package in Ubuntu:
> New
>
>Bug description:
> Error mounting system-managed device /dev/sdb2: Command-line `mount "/mnt/usb-Hitachi_HDT725032VLA380_0000000FA200-0:0-part2"' exited with non-zero exit status 14: The disk contains an unclean file system (0, 0).
> Metadata kept in Windows cache, refused to mount.
> Failed to mount '/dev/sdb2': Operation not permitted
> The NTFS partition is in an unsafe state. Please resume and shutdown
> Windows fully (no hibernation or fast restarting), or mount the volume
> read-only with the 'ro' mount option.
> (udisks-error-quark, 0)
>
> I am running this drive out of a hard drive enclosure. I have
> reinstalled the drive, booted it up and allowed it to load fully. Once
> prompted for password, I shut it down normally. The drive was working
> before i installed Ubuntu on a seperate hard drive.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: udisks2 2.1.3-1
> ProcVersionSignature: Ubuntu 3.13.0-45.74-generic 3.13.11-ckt13
> Uname: Linux 3.13.0-45-generic i686
> ApportVersion: 2.14.1-0ubuntu3.6
> Architecture: i386
> CurrentDesktop: Unity
> Date: Sun Feb 1 20:06:00 2015
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2015-02-01 (0 days ago)
> InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release i386 (20140722.2)
> Lsusb:
> Bus 001 Device 005: ID 152d:2338 JMicron Technology Corp. / JMicron USA Technology Corp. JM20337 Hi-Speed USB to SATA & PATA Combo Bridge
> Bus 001 Device 002: ID 03f0:8711 Hewlett-Packard Deskjet 2050 J510
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 002: ID 0458:0007 KYE Systems Corp. (Mouse Systems)
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: HP Pavilion 06 D5468AT-ABA ALONPAV
> ProcEnviron:
> LANGUAGE=en_US
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-45-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: udisks2
> Symptom: storage
> Title: Internal hard disk partition cannot be mounted manually
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/11/2007
> dmi.bios.vendor: Phoenix Technologies, LTD
> dmi.bios.version: 5.12
> dmi.board.name: Nettle2
> dmi.board.vendor: ECS
> dmi.board.version: 1.0
> dmi.chassis.type: 3
> dmi.chassis.vendor: Hewlett-Packard
> dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr5.12:bd06/11/2007:svnHPPavilion06:pnD5468AT-ABAALONPAV:pvr1331211RE101EXPLO0:rvnECS:rnNettle2:rvr1.0:cvnHewlett-Packard:ct3:cvr:
> dmi.product.name: D5468AT...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers